Retrieves a list of transportation options for a placement option.

Path parameters

inboundPlanIdstringRequired
Identifier of an inbound plan.

Query parameters

pageSizeintegerOptional1-30
The number of transportation options to return in the response matching the given query.
paginationTokenstringOptional
A token to fetch a certain page when there are multiple pages worth of results.
placementOptionIdstringOptional

The placement option to get transportation options for. Either placementOptionId or shipmentId must be specified.

shipmentIdstringOptional

The shipment to get transportation options for. Either placementOptionId or shipmentId must be specified.

Response

Success
transportationOptionslist of objects
Transportation options generated for the placement option.
paginationobjectOptional
Contains tokens to fetch from a certain page.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error